Skip to main content
`Ctrl`+`K`

# MatPartitioningChacoSetCoarseLevel

Set the coarse level parameter for the Chaco partitioner.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoSetCoarseLevel(MatPartitioning part, PetscReal level)

Collective

## Input Parameters

- part - the partitioning context

- level - the coarse level in range [0.0,1.0]

## Options Database Key

- -mat_partitioning_chaco_coarse l - Coarse level

## See Also

`MatPartitioningType`, `MatPartitioning`, `MATPARTITIONINGCHACO`

## Level

advanced

## Location

src/mat/graphops/partition/impls/chaco/chaco.c

## Implementations

MatPartitioningChacoSetCoarseLevel_Chaco() in src/mat/graphops/partition/impls/chaco/chaco.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages